Bug 1146932 - Review Request: python-fontname - A lib for guessing font name
Summary: Review Request: python-fontname - A lib for guessing font name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1146931
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-26 11:29 UTC by Parag Nemade
Modified: 2014-11-20 10:45 UTC (History)
2 users (show)

Fixed In Version: python-fontname-0.2.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:22:45 UTC
Type: ---
Embargoed:
moceap: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-26 11:29:59 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-fontname.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-fontname-0.2.0-1.fc21.src.rpm
Description:  A lib for guessing font name

Fedora Account System Username: pnemade

Comment 2 Mosaab Alzoubi 2014-10-28 19:22:34 UTC
- I think that's good to back to python-fontname (nothing in %bin)
- uSummary !!!
- Complete Python3 packages or remove its lines

Comment 3 Parag Nemade 2014-10-29 04:35:05 UTC
Right. I think I mistakenly considered this as a tool while changing other packages. I have corrected it now.

Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-fontname.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-fontname-0.2.0-1.fc21.src.rpm

Comment 4 Mosaab Alzoubi 2014-10-30 17:04:38 UTC
Line #44:

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

Doesn't include Python3 support

Line #50:

echo ${_python3}

What need it?

Line #64:

%{python2_sitelib}/%{module_name}-%{version}-py2.?.egg-info

Is it better to use '*' instead of '?' ?

Comment 5 Parag Nemade 2014-10-31 01:42:08 UTC
Fixed above issues.

Using '?' should not create any problem as generally egg-info files gets named as
modulename-py2.7.egg-info or modulename-py3.4.egg-info and ? replaces one character.

Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-fontname.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-fontname-0.2.0-2.fc21.src.rpm

Comment 6 Mosaab Alzoubi 2014-10-31 09:46:33 UTC
It almost done .

-----

When enable Python3 getting these errors:

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/python3.3/site-packages/__pycache__/fontname.cpython-33.pyc
   /usr/lib/python3.3/site-packages/__pycache__/fontname.cpython-33.pyo


Also in BRs for Python3 , Is python-freetype still like this?

Comment 7 Parag Nemade 2014-10-31 10:50:16 UTC
Thanks for catching this. I should really test python3 subpackage by enabling it before posting updated package. The reason this got missed is because there is no module directory getting installed otherwise it would have packaged already. I have added __pycache__ directory explicitly now.

There is no issue with python-freetype as it installs module directory and __pycache__ already gets installed.

I have now fixed above issues in below updated package. Note I don't think this needs release bump hence kept same release version.

Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-fontname.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-fontname-0.2.0-2.fc21.src.rpm

Comment 8 Mosaab Alzoubi 2014-10-31 12:43:28 UTC
* Rpmlint: o errors
* License: MIT
* Binaries: None
* Spec: Clean
* Content: Clean
* %check test: None
* Python package: Noarch
* Python packaging guideline: checked
* CHECKSUM(MD5) this package: 232241d94d8e3ca41bfbb373701d0d90
 CHECKSUM(MD5) upstream package: 232241d94d8e3ca41bfbb373701d0d90
========

APPROVED

Comment 9 Parag Nemade 2014-10-31 12:53:56 UTC
Thanks for this package review.

New Package SCM Request
=======================
Package Name: python-fontname
Short Description: A lib for guessing font name
Upstream URL: https://github.com/Asvel/fontname
Owners: pnemade
Branches: f19 f20 f21 el6 epel7

Comment 10 Gwyn Ciesla 2014-11-03 13:50:48 UTC
Git done (by process-git-requests).

Comment 11 Parag Nemade 2014-11-04 13:55:56 UTC
See http://pkgs.fedoraproject.org/cgit/python-fontname.git , it says "No repositories found".

Comment 12 Gwyn Ciesla 2014-11-05 12:04:49 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2014-11-05 12:52:22 UTC
python-fontname-0.2.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-fontname-0.2.0-2.fc21

Comment 14 Fedora Update System 2014-11-05 13:42:05 UTC
python-fontname-0.2.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-fontname-0.2.0-2.el7

Comment 15 Fedora Update System 2014-11-05 13:42:26 UTC
python-fontname-0.2.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-fontname-0.2.0-2.el6

Comment 16 Fedora Update System 2014-11-05 13:53:32 UTC
python-fontname-0.2.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-fontname-0.2.0-2.fc20

Comment 17 Fedora Update System 2014-11-05 13:54:59 UTC
python-fontname-0.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-fontname-0.2.0-2.fc19

Comment 18 Fedora Update System 2014-11-05 18:45:03 UTC
python-fontname-0.2.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 19 Fedora Update System 2014-11-10 06:22:45 UTC
python-fontname-0.2.0-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 20 Fedora Update System 2014-11-15 09:19:35 UTC
python-fontname-0.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 21 Fedora Update System 2014-11-15 09:22:12 UTC
python-fontname-0.2.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 22 Fedora Update System 2014-11-20 10:43:32 UTC
python-fontname-0.2.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 23 Fedora Update System 2014-11-20 10:45:14 UTC
python-fontname-0.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.